### 8.19 `ASINH` — Inverse hyperbolic sine function

Description:
  `ASINH(X)` computes the inverse hyperbolic sine of X.
Standard:
  Fortran 2008 and later
Class:
  Elemental function
Syntax:
  `RESULT = ASINH(X)`
Arguments:

  X | The type shall be `REAL` or `COMPLEX`.

Return value:
  The return value is of the same type and kind as X. If X is complex, the imaginary part of the result is in radians and lies between -\pi/2 \leq \Im \asinh(x) \leq \pi/2.
Example:

                PROGRAM test_asinh
                  REAL(8), DIMENSION(3) :: x = (/ -1.0, 0.0, 1.0 /)
                  WRITE (*,*) ASINH(x)
                END PROGRAM

Specific names:

  Name | Argument | Return type | Standard
  `DASINH(X)` | `REAL(8) X` | `REAL(8)` | GNU extension.

See also:
  Inverse function: SINH